OU.utils.element = {
    /**
     *
     * @param from
     * @param to
     * @param [split]
     */
    wrapFragment: function(from, to, split) {
        var common = OU.utils.commonAncestor(from, to),
            placeholder = document.createElement('span'),
            el = document.createElement('div'),
            next = from;

        while (next !== to) {
            if (next.nodeType === 1 && next.children.length) {
                OU.utils.toArray(next.children).forEach(function() {

                });
            }

            if (el.nextSibling) {
                return el.nextSibling;
            }

            if (el.parentNode.nextSibling) {
                return el.parentNode.nextSibling;
            }

            //next = this.next(next);
        }
    },

    next: function(el, parent) {
        parent = parent || document.body;

        if (el.nodeType === 1 && el.children.length) {
            return el.firstChild;
        }

        if (el.nextSibling) {
            return el.nextSibling;
        }

        if (el.parentNode.nextSibling) {
            return el.parentNode.nextSibling;
        }

        return null;
    }
};